#include "main.h"
#include "ethernet_application.h"
#define SYSTEMTICK_PERIOD_MS  1
#define SYSTICK_FREQ 1000

__IO uint32_t LocalTime = 0; /* this variable is used to create a time reference incremented by 10ms */
int main(void)
{
	/*!< At this stage the microcontroller clock setting is already configured to
	     120 MHz, this is done through SystemInit() function which is called from
	     startup file (startup_stm32f2xx.s) before to branch to application main.
	     To reconfigure the default setting of SystemInit() function, refer to
	     system_stm32f2xx.c file
	*/
	SysTick_Config(SystemCoreClock / SYSTICK_FREQ);

	if(Ethernet_Application_Config() == ERROR)
		while(1);

	/* Initilaize the LwIP stack */
	//LwIP_Init();

	/* tcp echo server Init */
	//tcp_echoserver_init();
	while (1)
	{
	}
}

void SysTick_Handler(void)
{
	/* Update the LocalTime by adding SYSTEMTICK_PERIOD_MS each SysTick interrupt */
	LocalTime += SYSTEMTICK_PERIOD_MS;
}
